use windows::Win32::UI::WindowsAndMessaging::CW_USEDEFAULT;

fn main()
{
    // Initialize Donten engine
    let cfg = donten::Config::new();
    let engine = if let Ok(engine) = donten::Donten::init(cfg) {
        engine
    } else {
        println!("fatal: failed to initialize engine.");
        return;
    };

    engine.start(donten::System::Window, true);

    let sys_win = engine.sys_window().unwrap();

    sys_win.create(donten::WindowConfig {
        x: CW_USEDEFAULT, y: CW_USEDEFAULT,
        width: 640, height: 480,
        resize: false,
        private: false,
        context: None,
    }).ok();

    std::thread::park();

    // Handle command queries.
}
